Package org.bukkit.event.hanging

# Enum Class HangingBreakEvent.RemoveCause

java.lang.Object
java.lang.Enum<HangingBreakEvent.RemoveCause>
org.bukkit.event.hanging.HangingBreakEvent.RemoveCause

All Implemented Interfaces:
  `Serializable`, `Comparable<HangingBreakEvent.RemoveCause>`, `Constable`

Enclosing class:
  HangingBreakEvent

public static enum HangingBreakEvent.RemoveCause extends Enum<HangingBreakEvent.RemoveCause>
An enum to specify the cause of the removal

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEFAULT`
Removed by an uncategorised cause
`ENTITY`
Removed by an entity
`EXPLOSION`
Removed by an explosion
`OBSTRUCTION`
Removed by placing a block on it
`PHYSICS`
Removed by destroying the block behind it, etc

## Method Summary

Modifier and Type
Method
Description
`static HangingBreakEvent.RemoveCause`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HangingBreakEvent.RemoveCause[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ENTITY

public static final HangingBreakEvent.RemoveCause ENTITY
Removed by an entity

### EXPLOSION

public static final HangingBreakEvent.RemoveCause EXPLOSION
Removed by an explosion

### OBSTRUCTION

public static final HangingBreakEvent.RemoveCause OBSTRUCTION
Removed by placing a block on it

### PHYSICS

public static final HangingBreakEvent.RemoveCause PHYSICS
Removed by destroying the block behind it, etc

### DEFAULT

public static final HangingBreakEvent.RemoveCause DEFAULT
Removed by an uncategorised cause

## Method Details

### values

public static HangingBreakEvent.RemoveCause[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static HangingBreakEvent.RemoveCause valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null